# Enterprises: enroll

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/enterprises/enroll#auth).

Enrolls an enterprise with the calling EMM.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enroll
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required query parameters** |||
| `token` | `string` | The token provided by the enterprise to register the EMM. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply an [Enterprises resource](https://developers.google.com/android/work/play/emm-api/v1/enterprises#resource).

## Response

If successful, this method returns an [Enterprises resource](https://developers.google.com/android/work/play/emm-api/v1/enterprises#resource) in the response body.